package de.unikoblenz.fgbks.dmn.frontend;

import javax.inject.Inject;
import javax.ws.rs.Consumes;
import javax.ws.rs.GET;
import javax.ws.rs.POST;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;
import javax.ws.rs.core.MediaType;
import javax.ws.rs.core.Response;

@Path("/dmn")
public class DmnSessionApi {

  @Inject
  DmnBean dmnBean;

  @GET
  @Path("/getdmn")
  @Produces(MediaType.TEXT_XML)
  public Response getSessionDmn() {
    if (dmnBean.getDmnXml() == null) {
      return Response.noContent().build();
    }
    return Response.ok(dmnBean.getDmnXml()).build();
  }

  @POST
  @Path("/setdmn")
  @Consumes(MediaType.TEXT_XML)
  public void setSessionDmn(String dmnXml) {
    dmnBean.setDmnXml(dmnXml);
  }
}
